<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>LUFF.fm Player</title>
<script src="js/jquery-1.6.1.min.js" type="text/javascript"></script>
<script src="js/jquery-ui-1.8.10.custom.min.js" type="text/javascript"></script>
<script src="js/jquery.showinfo.js" type="text/javascript"></script>

<link href="jplayer/demos/skin/blue.monday/jplayer.blue.monday.css" rel="stylesheet" type="text/css" />
<script type="text/javascript" src="jplayer/jquery.jplayer.min.js"></script>


<link href="css/airtime-widgets.css" rel="stylesheet" type="text/css" />

<link href="css/luff.css" rel="stylesheet" type="text/css" />

<script>
$(document).ready(function() {
    $("#headerLiveHolder").airtimeLiveInfo({
        sourceDomain: "http://fbpc1.epfl.ch:10180",
        text: {onAirNow:"On Air Now", offline:"Offline", current:"Current Show", next:"Next Show"},
        updatePeriod: 20 //seconds
    });
});
</script>

<script>
//<![CDATA[
$(document).ready(function(){

        $("#jquery_jplayer_1").jPlayer({
                ready: function () {
                        $(this).jPlayer("setMedia", {
                                mp3:"http://fbpc6.epfl.ch:8000/luff.fm",
								oga:"http://fbpc6.epfl.ch:8000/luff.fm-ogg"
                        }).jPlayer("play");
                },
                ended: function (event) {
                        $(this).jPlayer("play");
                },
                swfPath: "js",
                supplied: "mp3 , oga"
        });



});
//]]>
</script>

<script type="text/javascript">
function nowplaying(){ 
  $.ajax({
  timeout: 10000,
  url: "./icecast-nowplaying/icecast-current-track.php", 
  cache: false,
  success: function(html){ 
   $("#current-track").html(html); 
  }
 }); 
}
nowplaying();
setInterval( "nowplaying()", 10000 ); 
</script>

<script type="text/javascript">
function history(){ 
  $.ajax({
  timeout: 10000,
  url: "./icecast-nowplaying/icecast_current_history.php", 
  cache: false,
  success: function(html){ 
   $("#history").html(html); 
  }
 }); 
}
history();
setInterval( "history()", 10000 ); 
</script>
</head>
<body>
<br/>
<div id="wrapper">


<div id="headerLiveHolder" style="border: 0px solid #999999; padding: 10px;"></div>

<div id="title">
                <h2>LUFF.fm Player</h2>		
                <div class="subtitle">Experimental radio of Lausanne Underground Film & Music Festival</br>100.5 FM, Lausanne 6.10.2012 - 24.10.2012</div>
</div>

<div id="luff-player">
                <div id="jquery_jplayer_1" class="jp-jplayer"></div>
                <div id="jp_container_1" class="jp-audio">
                        <div class="jp-type-single">
                                <div class="jp-gui jp-interface">
                                        <ul class="jp-controls">
                                                <li><a href="javascript:;" class="jp-play" tabindex="1">play</a></li>
                                                <li><a href="javascript:;" class="jp-pause" tabindex="1">pause</a></li>
                                                <li><a href="javascript:;" class="jp-stop" tabindex="1">stop</a></li>
                                                <li><a href="javascript:;" class="jp-mute" tabindex="1" title="mute">mute</a></li>
                                                <li><a href="javascript:;" class="jp-unmute" tabindex="1" title="unmute">unmute</a></li>
                                                <!--<li><a href="javascript:;" class="jp-volume-max" tabindex="1" title="max volume">max volume</a></li>-->
                                        </ul>
                                        <!--<div class="jp-progress">
                                                <div class="jp-seek-bar">
                                                        <div class="jp-play-bar"></div>
                                                </div>
                                        </div>
                                        <div class="jp-volume-bar">
                                                <div class="jp-volume-bar-value"></div>
                                        </div>
                                        <div class="jp-time-holder">
                                                <div class="jp-current-time"></div>
                                                <div class="jp-duration"></div>

                                                <ul class="jp-toggles">
                                                        <li><a href="javascript:;" class="jp-repeat" tabindex="1" title="repeat">repeat</a></li>
                                                        <li><a href="javascript:;" class="jp-repeat-off" tabindex="1" title="repeat off">repeat off</a></li>
                                                </ul>
                                        </div>-->
                                </div>
                                <div class="jp-title">
                                <div id="nowplaying">Now Playing</div>
                                        <ul>
                                                <li><div id="current-track" style="display:block;">
												</div></li>
                                        </ul>
                                </div>
                                <div class="jp-no-solution">
                                        <span>Update Required</span>
                                        To play the media you will need to either update your browser to a recent version or update your <a href="http://get.adobe.com/flashplayer/" target="_blank">Flash plugin</a>.
                                </div>
                        </div>
                </div>
</div>

<div id="history_title">
<h3>Song history</h3>
</div> 
<div id="history">
</div>


</div> <!-- end wrapper-->
</body>
</html>
